summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-11 16:59:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-11 16:59:22 +0000
commita05bbd84ec1b8b0e28a98cf2b924dd9c3180ad4d (patch)
tree36d7abf6d4866a96738d3c19aacdede47629fb84 /dev-python
parentb11f532d85ba9cfcea1503a85246b19d35419295 (diff)
downloadbaldeagleos-repo-a05bbd84ec1b8b0e28a98cf2b924dd9c3180ad4d.tar.gz
baldeagleos-repo-a05bbd84ec1b8b0e28a98cf2b924dd9c3180ad4d.tar.xz
baldeagleos-repo-a05bbd84ec1b8b0e28a98cf2b924dd9c3180ad4d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQtWebEngine/Manifest1
-rw-r--r--dev-python/PyQtWebEngine/PyQtWebEngine-5.15.6-r1.ebuild48
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.35.16.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.35.16.ebuild76
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.145.0.ebuild50
-rw-r--r--dev-python/greenlet/Manifest1
-rw-r--r--dev-python/greenlet/greenlet-3.1.0.ebuild48
-rw-r--r--dev-python/moto/moto-5.0.13-r1.ebuild2
-rw-r--r--dev-python/recurring-ical-events/Manifest1
-rw-r--r--dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild45
-rw-r--r--dev-python/uv/Manifest2
-rw-r--r--dev-python/uv/uv-0.4.9.ebuild135
15 files changed, 415 insertions, 50 deletions
diff --git a/dev-python/PyQtWebEngine/Manifest b/dev-python/PyQtWebEngine/Manifest
index 2ccfe14c06f4..3325b09b9312 100644
--- a/dev-python/PyQtWebEngine/Manifest
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -1,2 +1 @@
-DIST PyQtWebEngine-5.15.6.tar.gz 48871 BLAKE2B af7c30a0d2e65e12a6eb4a2d3a40d72f94f16a5b4e509f9366be4bfb7d4358b27b3f9c0a7e4a2e7254d38950cbbd6bd4eb88e321949d4d9a44e6ea7e06c2f902 SHA512 f744fb0468ccbc79aad23d941c8e96d537ceeedfae215c7095dbf36b04b3dd042f0ff80aeca25a23715964b7d6db3bc80513f509d15c6dd6bd51e42a1a4e1975
DIST PyQtWebEngine-5.15.7.tar.gz 32223 BLAKE2B 81c318e9117ccfad9f883e9282cdb93d936c7ee4def1ab927af2d1090e79f513f24e91455fa5b769fd5bb1094061e10a7f001f9c6172e51df4f50efac16a77e3 SHA512 0eede365bd0fa6eb60aa09443298a7afdb94497960ae31bf050311aec919c02a17ea13e57abe37e55f74d458acf34a6c3ab7f5895914742adc90e90a8c0eb442
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.6-r1.ebuild b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.6-r1.ebuild
deleted file mode 100644
index ca281eef6e9e..000000000000
--- a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.6-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=sip
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
-
-DESCRIPTION="Python bindings for QtWebEngine"
-HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~x86"
-IUSE="debug"
-
-DEPEND="
- >=dev-python/PyQt5-5.15.5[gui,network,printsupport,ssl,webchannel,widgets,${PYTHON_USEDEP}]
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtnetwork:5
- dev-qt/qtwidgets:5
- dev-qt/qtwebengine:5[widgets]
-"
-RDEPEND="
- ${DEPEND}
- >=dev-python/PyQt5-sip-12.9:=[${PYTHON_USEDEP}]
-"
-BDEPEND="
- >=dev-python/PyQt-builder-1.10[${PYTHON_USEDEP}]
- >=dev-python/sip-6.2[${PYTHON_USEDEP}]
- dev-qt/qtcore:5
-"
-
-python_configure_all() {
- append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
-
- DISTUTILS_ARGS=(
- --jobs="$(makeopts_jobs)"
- --qmake="$(qt5_get_bindir)"/qmake
- --qmake-setting="$(qt5_get_qmake_args)"
- --verbose
- $(usev debug '--debug --qml-debug --tracing')
- )
-}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 38ec7e5b35f9..6bf29e54889f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,4 +1,5 @@
DIST boto3-1.35.10.gh.tar.gz 856679 BLAKE2B 03e7be74455b487a79188405796fc08bd940962ca4ef8c36398ee8f955c2677e57a528626ef31e5e54ce2c1b96c82cef857b54dcc16248178c60c14fd14de3f9 SHA512 99c0e0b67a590a06713eeb98eb485b055ee6fa1bd181f996d24bdf88698d7885efe0a5f1e9883083655b12a474112a03f8561c66c4c5b5a0e6db56d5733db77b
DIST boto3-1.35.14.gh.tar.gz 859166 BLAKE2B eb201a319453097068b4711356ea930de739ff8874da7441fa3b931434c8a82a1692a5f67b10f06eaf7644335033e302f733fcc2267b782398e9edd28c32a613 SHA512 ade4b6bc0c816244d5335b1669090d8a5e3c8dcc8802b0aa10498ce8c5fe8e456958ff3bfd73a5c9376ce1658f9c2a90d5470c86c2b3399d7198bacd09764619
DIST boto3-1.35.15.gh.tar.gz 859778 BLAKE2B f704c28f5510c0f495bbfd2e09ea303efedbcd96fc0d4a76ce2790c0e9e4814a678f30812d6b2c70225e0dd78ad7a38a2148aa7245d65a642409c9e693f39030 SHA512 d34ad96c6cc0e8ff29dc2b74872bf20cc69618cba72f3429425f5ad922bc669427ea709aa03642ced59b7acfd446e243067aa773930be1ff3dfe9fa8b7b9c2a4
+DIST boto3-1.35.16.gh.tar.gz 860020 BLAKE2B 2368b713cd51fd61596f50849e68f82188156a9ba80cf2b7608536f67ff9e57cb7e5cbd5529ab573d0fe1441d9572d3e8d2e6d0cd41e82237d968284c14247aa SHA512 5f5cf28b8dda8f1a136101095232346eafad886cea4ea5184295e7dd5233a18c04d51bd0398fc340d4092a916bdecfec0b7b71e009ec5e33dec86c445fcd05ac
DIST boto3-1.35.5.gh.tar.gz 854016 BLAKE2B f94d738e310725cd5f9c7b405a094155f3ecf640f02045662ed94ab3689ea549fde7eee19ae2be450768560ad705b8740fda78b79ed42cf536231626d247e09a SHA512 fc1106abbb306bacb80dce825bf71303e71b0d0698d7e3bb4dcaca4ea6e4f7a97e70753367200294f334b351e764bca57f2316afec854d2e46db4644dfefc25b
diff --git a/dev-python/boto3/boto3-1.35.16.ebuild b/dev-python/boto3/boto3-1.35.16.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.16.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7ca94ed2b4e1..8f5a1c18c9b4 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,4 +1,5 @@
DIST botocore-1.35.10.gh.tar.gz 13328544 BLAKE2B cecad54696210597a09f4316a88b8335bc441a6429ddbc7f3c6e539a1aaee4312b855ec93b99971c8241b2431a920085f4f3b38545d607609a8d6a94d36676d8 SHA512 cf6bb103aea0af9ed2e43762848438eef89ab5bf8eec856cb8cd70204dd36f143ab9b8defd6ecd849a542332351feb499d8c34e7382bde558eac3ad19b1c5757
DIST botocore-1.35.14.gh.tar.gz 13340768 BLAKE2B 4ba023dbfc9e632d86028100910544e192a5b2d70ec76a21dfc5003c767a6043a144385561c35f4d7b4bfefbf4a1f3a38ef2845e323f93868e1f5ad86ae1f12b SHA512 c0dfdec80a45cf11796496bc2bef575a567368be3f29267b4d411d0615e6c8536036e47a5de11fb8f4626590dca051e891bb9430ed1ea80dfab2f43f070209d2
DIST botocore-1.35.15.gh.tar.gz 13343518 BLAKE2B 7eef64c875cc175aa94271b72a300908dc0f1c19504b0088acd5cf97224a4793bdc1bb5adc38e763359eb54892636feb2833726d217eb0a5f998c451e8de484e SHA512 305d16f4aad9832a6b405d2aa44805a89d70b57c74d0b4a25068801615cbdd9e6e223e804f1fd2c057ae3cc6515f0a20cab8adfda421e8c29ba911707fef0820
+DIST botocore-1.35.16.gh.tar.gz 13347546 BLAKE2B c6acfbab36b849ac0dcac177b4c6edf0acade33eac6c2215eea66df2d63307bdc9c130fee42f4e62385eb52fde6578d8a185a9be30dc3fde378242182636eb76 SHA512 e5c016a0107db1977f72497361f0b5f4755c4a8c25a9e715b556c17ac93af7a5d88c2a771814a80eda634b9b551d07da187f6d2a3107c53aed44fbcbe459a041
DIST botocore-1.35.5.gh.tar.gz 13303437 BLAKE2B 0a95351fbc93074bb0398871773120a194fe581a26f9a74c1101a5ea57bb3acb9a33937fc2d5a39a065988cdcc6dbe253bd2227cf93e670602ccc67ab82d8845 SHA512 5527420017a4a23d5593f5b3a0eb8caf15357642ed90cd73e0fe22774cc8f9f3637028286063e3e2810e5dafe52e882928269e5c82f6369be9af99bef18fb365
diff --git a/dev-python/botocore/botocore-1.35.16.ebuild b/dev-python/botocore/botocore-1.35.16.ebuild
new file mode 100644
index 000000000000..64a61a30c80b
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.16.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # memory use tests, probably fragile
+ tests/functional/leak/test_resource_leaks.py::TestDoesNotLeakMemory
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 99e9bf2725ae..63937aa5c29e 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google_api_python_client-2.142.0.tar.gz 11680160 BLAKE2B 660e61509969fc6d6d5235163cdede57011150f8932bb4bfccbae19ae020367a34b9ee103b5ec788bbe22580ca60ff242bf3734ce0f81cc20a64e80d57e7628d SHA512 ede409d7f46fb06aaaf3cf2c850259cc8e7e7d2b4a8469323118f2774c31f52f9a11a8fac68d3e2ea27e9425badb5ca08c2b432321d23b6b0b460dafb0e652ce
DIST google_api_python_client-2.143.0.tar.gz 11695158 BLAKE2B bff768420c0303403268aff68059e81852da89e1a353bae23c86f17314842e17986b39d5c2410adc8991d3966b1c718e88a49a22ed0e222758928928c519077b SHA512 c977599521402fa3b63c432d8e058a4c5a2ac5cf15eadcba7d43200a2c5eb246bdd25a7fecb98ba3c2791d0d566a518d8274f9f77561d0fc7c78c7378a0b05c5
DIST google_api_python_client-2.144.0.tar.gz 11688778 BLAKE2B 98ca8b9d389876abf16c809f72a6ed907676ae6607acc82aa4656f8c05757459a478f820db6dc364eb7484a839f402c43c50136e254e5d0501eeeba1a1274a67 SHA512 3e6a9a59408f994dd8b5fa6ef5e49b069d907006a29c6631fdc25d6f2cc885cb919387b1cc385d6ecfccab450b4a4787787e401be9b2d7d97ba455595d72d297
+DIST google_api_python_client-2.145.0.tar.gz 11714260 BLAKE2B eb672bdf74519f7dfd984412348ee0c62aa6a942acbb3182648bce2018af72ba6737924cb82c754a94c02f5b749c1bfdd07edb66bb2294b98e2b636cac7c2107 SHA512 33452e866798cd82f79e4d9a8708b4ca32a1e3118e37fbfe5b6e8b8b431167560c4175a5155499bca864fbdb59623368663e0025f71e8bd64b44e365ac889ad8
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.145.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.145.0.ebuild
new file mode 100644
index 000000000000..10fa88d021bb
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.145.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ tests/test_discovery.py::Universe::test_client_options_universe_configured_with_mtls
+ tests/test_discovery.py::Universe::test_universe_env_var_configured_with_mtls
+ )
+
+ epytest tests
+}
diff --git a/dev-python/greenlet/Manifest b/dev-python/greenlet/Manifest
index 5cd84aac0f1e..3c3a5bd50f17 100644
--- a/dev-python/greenlet/Manifest
+++ b/dev-python/greenlet/Manifest
@@ -1 +1,2 @@
DIST greenlet-3.0.3.tar.gz 182013 BLAKE2B 34ba9f13dd01f5bacedb69952b4d3d08e55eba82d94c5d95cf8bfeb0f1ce94dbde9d62f5e56c33cbf2467d82f6ffd8d05a37048d0292102b1dbb68c67e9398f4 SHA512 20d8818376a200332cbc2c85968317ddf828d2adf3fcc3c53623cd1504ec9a4e4e987e841bd2fe65e934e2b8a5e73a7205847526f0bd196e7afcdf3ae40e9d9b
+DIST greenlet-3.1.0.tar.gz 183954 BLAKE2B 30bc17bd449cbffba5a4a3b988de86c14335a6fc2311626f6f295f2c1434070ce3b9118341e328bc9a70904a3f6da6b527c28b0494371f58b50251db593f3ba4 SHA512 2c0d97848757e6346933426e3f6feb18120b3a63695a746acddbb467e01503174c46aea9b62e7507e8700f3450581ff2460f45700331368333977abebeb805eb
diff --git a/dev-python/greenlet/greenlet-3.1.0.ebuild b/dev-python/greenlet/greenlet-3.1.0.ebuild
new file mode 100644
index 000000000000..5c31b98526f5
--- /dev/null
+++ b/dev-python/greenlet/greenlet-3.1.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# Note: greenlet is built-in in pypy
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Lightweight in-process concurrent programming"
+HOMEPAGE="
+ https://greenlet.readthedocs.io/en/latest/
+ https://github.com/python-greenlet/greenlet/
+ https://pypi.org/project/greenlet/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 -hppa -ia64 ~m68k ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/furo
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # patch cflag manipulations out
+ sed -i -e 's:global_compile_args[.]append.*:pass:' setup.py || die
+ # broken assertions on py3.12+
+ # https://github.com/python-greenlet/greenlet/issues/368
+ sed -e 's:test_trace_events_multiple_greenlets_switching:_&: ' \
+ -i src/greenlet/tests/test_tracing.py || die
+}
+
+python_test() {
+ eunittest greenlet.tests
+}
diff --git a/dev-python/moto/moto-5.0.13-r1.ebuild b/dev-python/moto/moto-5.0.13-r1.ebuild
index 3416e33740eb..8e8d0152e1d7 100644
--- a/dev-python/moto/moto-5.0.13-r1.ebuild
+++ b/dev-python/moto/moto-5.0.13-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~riscv x86"
+KEYWORDS="amd64 arm64 ~riscv x86"
RDEPEND="
>=dev-python/aws-xray-sdk-0.93[${PYTHON_USEDEP}]
diff --git a/dev-python/recurring-ical-events/Manifest b/dev-python/recurring-ical-events/Manifest
index 833e4f0e3651..5f4104ff821b 100644
--- a/dev-python/recurring-ical-events/Manifest
+++ b/dev-python/recurring-ical-events/Manifest
@@ -1,2 +1,3 @@
DIST python-recurring-ical-events-3.1.1.gh.tar.gz 438998 BLAKE2B 9a141e697444278fd5f41e94e3ab2b12308b38f9c7aaca264e65ffccf9328a36cb67a0e2ed4dbf7dd3abccabf400762184570b62185d39428b0d6c11682d7305 SHA512 3ea995bd56430f9322d888559567dc809552cb6752f4a2acc4e33e385d730b91aa4a2d2389f3ab1ac9dfb5c7eb09327cfc9e858dd06671f7a1c30d39a30e7767
DIST python-recurring-ical-events-3.2.0.gh.tar.gz 439359 BLAKE2B 10b72e24d97dff1b7d0883a2da632facf1d89945447540acbb64e1f61c490870458bd5c9d389484fbc1be562a88232baf9817dce5be3adc5628e7367b5bef5c5 SHA512 27b9e4e5ed84ad94a1ca12c03995a17ff9db933d98c38f9c34c9cd33fe524e80b55a1507f0e2800b9d027e8030904a06ce05aee596d6d93d2d69ed8ab1ea9046
+DIST python-recurring-ical-events-3.3.0.gh.tar.gz 472075 BLAKE2B 70f531550a8d766e027fb9416883880385731c8b72a4115e2311024bfc4eac8fc7e8b06dc079309430e8d9da6d725c3e2efce8ce7e1ae93ca7f1d1cd288ff41b SHA512 d414d2b035c80d46fa7ea63c9df995edf632841b4f2bd9072d9004a2aaf8a9468de276330c5f939f172a93121577bfd1402606b9fab525af9aa662cd49c16501
diff --git a/dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild b/dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild
new file mode 100644
index 000000000000..f2dcb9da25ef
--- /dev/null
+++ b/dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Repeat ICalendar events by RRULE, RDATE and EXDATE"
+HOMEPAGE="
+ https://github.com/niccokunzmann/python-recurring-ical-events/
+ https://pypi.org/project/recurring-ical-events/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/python-recurring-ical-events/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/icalendar-7[${PYTHON_USEDEP}]
+ >=dev-python/icalendar-5.0.9[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ <dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/x-wr-timezone-0.0.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/icalendar-6[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2023.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 9996b0b96b35..26c9a5705f4c 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -7,3 +7,5 @@ DIST uv-0.4.6.gh.tar.gz 2553065 BLAKE2B f793c01042db0a45b53a57157852ed5035a96bfc
DIST uv-0.4.7.gh.tar.gz 2558161 BLAKE2B 5508af9b6e0d04d165aa3b120be138fb4ccfddd643395175e5d31618ec34a5139567c0162b0ce1c741fed551397d1ec9d9693ce0397d1f0346a5c1df13c20b8d SHA512 8395f96eb36c2131b203de9991b994532047b7928ac1765a426accdaae4ed3a242a8b9554808123f5359d41778d3e7783606265b60d372bed2a0a76fea027e3e
DIST uv-0.4.8-crates.tar.xz 46272636 BLAKE2B 467c146c8598863c62a7a210f3c20a6a73dc318651d730803eddd5e1ae54eb815b0487e991cc4e2d493813ea6e6e8622ed503d952a63ce7ee3aa9cfbe4d36439 SHA512 b207acd6fa7d7e95d7e0b3201d9d0ae2457d427f866eb292c6e097444e6d596455e1478813cfcf6851abbe936709d4afa155e0c55367a3f9fb25d4387990a84d
DIST uv-0.4.8.gh.tar.gz 2569754 BLAKE2B 413121093c1a30e75afa62f5dd6496e3686c06e956ef1d633740d498387a7b0c5272b811daf3efe10d5ba95fd628f29ff3e7ee914df03069bff287dce0c96caa SHA512 e1a728d25ca9400ddf7a005da94d217631ee2a1a2b6b2b8421496496ac9379993dc81d8603f523308a9d232a1c20058149868cc413511ef7d3c7a57bd9354938
+DIST uv-0.4.9-crates.tar.xz 46250584 BLAKE2B 6beb0a00885b674f3d8e35c67372d4ba04c6512306f78522fac2ff170d7cc6cb6c0702546da1d1de3dc84397f04258c56558c666b8f935130a0fea1debce01d0 SHA512 676f6a197af92bc9f6716c0e1df1f87d81b1b07dc81c591b94b34b985bbe4a49fb0b319fe8fba7f83d158124af84f64ebefe1ce0119e6238f9ae837e4652c5c0
+DIST uv-0.4.9.gh.tar.gz 2580667 BLAKE2B baadc0d950d57e224d7d4980424ab58c4e278c2d67a06e9d83d778ac5a6b561cdadfc514c5068ce365dbdb4da3b5165e4180567f7abe90f46d5597fce144b91d SHA512 d7746d71f1429df7d39c3f03c02934792124318f92d2eda03b68a255586567d053349e6d294da0910351d976844aee564334540563435d0e60f6a3792088f416
diff --git a/dev-python/uv/uv-0.4.9.ebuild b/dev-python/uv/uv-0.4.9.ebuild
new file mode 100644
index 000000000000..ae16e664c50f
--- /dev/null
+++ b/dev-python/uv/uv-0.4.9.ebuild
@@ -0,0 +1,135 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;011b24604fa7bc223daaad7712c0694bac8f0a87;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;388685a8711092971930986644cfed152d1a1f6c;pubgrub-%commit%'
+ [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-middleware'
+ [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;5e3eaf254b5bd481c75d2710eed055f95b756913;reqwest-middleware-%commit%/reqwest-retry'
+ [tl]='https://github.com/charliermarsh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+)
+
+inherit cargo check-reqs
+
+CRATE_PV=0.4.9
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+ MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=virtual/rust-1.80
+ test? (
+ dev-lang/python:3.8
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+}
+
+src_prepare() {
+ default
+
+ # remove patch.* that breaks GIT_CRATES
+ local reqmw=${GIT_CRATES[reqwest-middleware]}
+ reqmw=${reqmw#*;}
+ reqmw=${reqmw%;*}
+ sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
+
+ # enable system libraries where supported
+ export ZSTD_SYS_USE_PKG_CONFIG=1
+ sed -i -e 's:"static"::' crates/uv-extract/Cargo.toml || die
+ # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+
+ # remove unbundled sources, just in case
+ find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
+
+ # bzip2-sys requires a pkg-config file
+ # https://github.com/alexcrichton/bzip2-rs/issues/104
+ mkdir "${T}/pkg-config" || die
+ export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+ cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+ Name: bzip2
+ Version: 9999
+ Description:
+ Libs: -lbz2
+ EOF
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ # work around https://github.com/astral-sh/uv/issues/4376
+ local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+ local -x COLUMNS=100
+ local -x PYTHONDONTWRITEBYTECODE=
+
+ cd crates/uv || die
+ cargo_src_test --no-fail-fast
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+}